> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fiddler.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GenAI Alert Rules

> REST API endpoints for managing genai alert rules in Fiddler Platform.

<CardGroup cols={2}>
  <Card title="Create GenAI Alert Rule" icon="plus" href="/sdk-api/rest-api/genai-alert-rules/create-gen-ai-alert-rule">
    `POST /v3/genai-alert-rules`
  </Card>

  <Card title="Deletes a GenAI Alert Rule" icon="trash" href="/sdk-api/rest-api/genai-alert-rules/delete-gen-ai-alert-rule">
    `DELETE /v3/genai-alert-rules/{alert_rule_id}`
  </Card>

  <Card title="Get GenAI Alert Rule" icon="magnifying-glass" href="/sdk-api/rest-api/genai-alert-rules/get-gen-ai-alert-rule">
    `GET /v3/genai-alert-rules/{alert_rule_id}`
  </Card>

  <Card title="List GenAI Alert Rules" icon="magnifying-glass" href="/sdk-api/rest-api/genai-alert-rules/list-gen-ai-alert-rules">
    `GET /v3/genai-alert-rules`
  </Card>

  <Card title="Send Test Notification" icon="plus" href="/sdk-api/rest-api/genai-alert-rules/test-gen-ai-alert-rule-notification">
    `POST /v3/genai-alert-rules/{alert_rule_id}/test-notification`
  </Card>
</CardGroup>
